Results 1 to 10 of 10
  1.    #1  
    Hi all,

    So I know us poor sods in the Uk will be a little behind you lot over the pond with our firmware, but after reading up on all the patches I'm dying to give them a try over the weekend.

    This is probably a very n00b question but will the current patches work on the older firmware our phones will arrive with or are we best to just wait it out for 1.2.1?

    I can't wait for Friday \o/
  2.    #2  
    I'm guessing then it's just a case of try it and see on Friday
  3. #3  
    Patches will only work if the file being patched is the same as the one that was in use when the patch was made. That means that any file that is different between the north american 1.2.1 and whatever you end up with can't be patched with the same patch.

    On the bright side, that still means that many patches will work right away, and if you're using an older but 'known' version like 1.1, you'll be able to use patches that were made for it.

    Also, most of the patches are pretty simple, frequently only changing one or two lines of code, so it shouldn't take people long to get updated patches for you anyway.
  4.    #4  
    Cheers for the reply VeeDubb

    I think we're getting 1.1.3 according the rumours but will know more on Friday. Can I just use the latest PreWare on my Pre of will I need a specific version?

    I'm hoping the patches are backwards compatible.
  5. #5  
    Quote Originally Posted by leowyatt View Post
    Cheers for the reply VeeDubb

    I think we're getting 1.1.3 according the rumours but will know more on Friday. Can I just use the latest PreWare on my Pre of will I need a specific version?

    I'm hoping the patches are backwards compatible.
    Preware works fine on the GSM Pre.

    Most of the patches are *not* backwards compatible.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  6.    #6  
    Quote Originally Posted by rwhitby View Post
    Most of the patches are *not* backwards compatible.

    -- Rod
    bummer not what I was wanting to hear

    Ok is there anyway to find out which patches I can use on the firmware I have, once I get the phone in my hands?
  7. #7  
    Quote Originally Posted by leowyatt View Post
    bummer not what I was wanting to hear

    Ok is there anyway to find out which patches I can use on the firmware I have, once I get the phone in my hands?
    Well the problem is we never had 1.1.3 so we're not sure what changes are there, you can just try and see. Any patch that can't be applied correctly won't install from my understanding. So you won't break your phone if a patch can't be applied.
  8.    #8  
    Do we know what version the German Pre has?
  9. #9  
    Quote Originally Posted by leowyatt View Post
    bummer not what I was wanting to hear

    Ok is there anyway to find out which patches I can use on the firmware I have, once I get the phone in my hands?
    It is safe to experiment with any patch from the WebOS Patches feed.

    If they do not apply cleanly, they will stop before touching any files.

    Please report the ones that do and don't work.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  10.    #10  
    thanks for the info Rod

    I will report back on Friday which patches work with 1.1.2 and 1.1.3. If most work with 1.1.2 I might just stick with that and wait for 1.3.

Posting Permissions